Bug 518472 - abrt daemon crashes
Summary: abrt daemon crashes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 14:34 UTC by Vladimir Benes
Modified: 2015-02-01 22:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 13:43:28 UTC


Attachments (Terms of Use)

Description Vladimir Benes 2009-08-20 14:34:26 UTC
Description of problem:
when executing abrt -d is crashes after few seconds.. 

Scanning syslog...
Segmentation fault (core dumped)

It also happens when started automatically

Version-Release number of selected component (if applicable):
abrt-0.0.7.2-3.fc12.x86_64

How reproducible:


Steps to Reproduce:
1.execute abrt -d
2.wait for crash
3.
  
Actual results:
crash

Expected results:
no crash

Additional info:
backtrace written here: http://pastebin.test.redhat.com/14317

Comment 1 Vladimir Benes 2009-08-20 14:38:37 UTC
Debug: Plugin CCpp (0.0.1) succesfully loaded.
Debug: Plugin Python (0.0.1) succesfully loaded.
Debug: Plugin Kerneloops (0.0.2) succesfully loaded.
Debug: Plugin SQLite3 (0.0.1) succesfully loaded.
Debug: Plugin Bugzilla (0.0.3) succesfully loaded.
Debug: Plugin KerneloopsScanner (0.0.1) succesfully loaded.
Debug: Plugin KerneloopsReporter (0.0.1) succesfully loaded.
Debug: Plugin Logger (0.0.1) succesfully loaded.
Debug: Registered plugin Bugzilla(Reporter)
Debug: Registered plugin CCpp(Analyzer)
Debug: Registered plugin Kerneloops(Analyzer)
Debug: Registered plugin KerneloopsReporter(Reporter)
Debug: Registered plugin KerneloopsScanner(Action)
Debug: Registered plugin Logger(Reporter)
Debug: Registered plugin Python(Analyzer)
Debug: Registered plugin SQLite3(Database)
Debug: Scanning for unsaved entries...
Debug: Running...
Debug: Activating plugin: KerneloopsScanner
Debug: Scanning syslog...
Segmentation fault (core dumped)

when Kerneloops plugin disabled everything works fine

Comment 2 Denys Vlasenko 2009-08-21 10:02:36 UTC
Please attach your /var/log/messages. I want to reproduce this.

Comment 3 Vladimir Benes 2009-08-21 10:55:50 UTC
part of /var/log/messages connected to abrt:
http://pastebin.test.redhat.com/14355

Comment 4 Michal Nowak 2009-09-04 08:38:41 UTC
Can it be possible that that version had reverted this fix? Ticket #57: https://fedorahosted.org/abrt/ticket/57

Vladimir: Can you still reproduce it? Could you revert the /var/log/messages to state on Aug 20 and try with 0.0.8 and/or post *full* /var/log/messages from that day?

Comment 5 A. Mani 2009-09-23 00:48:14 UTC
F11 x86-64 

#abrt -d 
Debug: Plugin Python (0.0.1) succesfully loaded.
Debug: Plugin CCpp (0.0.1) succesfully loaded.
Debug: Registred plugin CCpp(Analyzer)
Debug: Scanning for unsaved entries...
terminate called after throwing an instance of 'std::string'
Aborted
_______________________________

kerneloops-0.12-5.fc11.x86_64
abrt-0.0.4-3.fc11.x86_64

Comment 6 A. Mani 2009-09-25 02:25:38 UTC
No problems with abrt-0.0.9-1 F12 x86-64

But there is no abrt in the system, it is abrtd, abrt-gui

Comment 7 Michal Nowak 2009-09-29 13:12:27 UTC
@F-11 there's old abrt-0.0.7-1.fc11, I guess this is fixed in F-12 already. If demand this to be fixed in F-11, change the Version to "11", if not - let's close this.


Note You need to log in before you can comment on or make changes to this bug.